## freeswan 2.04-14

=== debian/changelog ===
freeswan (2.04-14) unstable; urgency=medium

  This is probably the final upload to this package, I will ask for
  removal after etch is released.
  * Adopted NMU-patch by Andres Henriksson:
    Comment out lines in debian/rules to not install any files in the
    transition package except the debian changelog and copyright file.
    (Urgency medium as it fixes a RC bug, Closes: #398401)

 -- Rene Mayrhofer <rmayr@debian.org>  Tue, 14 Nov 2006 17:58:57 +0100

freeswan (2.04-13) unstable; urgency=low

  * Changed the dependeny of kernel-patch freeswan to 
    linux-patch-openswan | kernel-patch-openswan, as the openswan kernel 
    patch package has been renamed to make it clear that it is a Linux kernel
    patch.

 -- Rene Mayrhofer <rmayr@debian.org>  Sun, 23 Apr 2006 21:52:05 +0100

freeswan (2.04-12) unstable; urgency=low

  * Finally remove freeswan from Debian. These are transition packages
    that only depend on the respective openswan packages and may be
    safely removed after openswan has been installed.
    Your config files should be taken over by openswan, but please report
    any anomalies that might happen.

 -- Rene Mayrhofer <rmayr@debian.org>  Sun,  20 Jun 2005 17:52:30 +0100

freeswan (2.04-11) unstable; urgency=high

  * Updated the last security fix, it could break connections with self-
    signed certificates.

 -- Rene Mayrhofer <rmayr@debian.org>  Wed,  7 Jul 2004 20:30:44 +0200

freeswan (2.04-10) unstable; urgency=HIGH

  * Fixed a security issue in the X.509 patch reported by Andreas Steffen to
    the openswan mailing list (CAN-2004-0590).
  * Compiling freeswan-modules-source on a non-patched 2.4 kernel tree still
    fails because of bad integration of the NAT patch into the X.509 patch
    I am currently using. I am still working on that, but this security issue
    must be fixed as soon as possible.

 -- Rene Mayrhofer <rmayr@debian.org>  Mon, 28 Jun 2004 13:32:19 +0200

freeswan (2.04-9) unstable; urgency=medium

  * Fixed the alg patch to work again - the upstream patch by Andreas Steffen
    does currently not apply cleanly to a kernel source, because files have
    been moved.

 -- Rene Mayrhofer <rmayr@debian.org>  Mon, 22 Mar 2004 10:26:54 +0100

freeswan (2.04-8) unstable; urgency=low

  * Updated the X.509 patch. This new upstream release supports CRL
    download via OCSP, which is a huge win.
  * Updated the alg patch.
  * Include NAT Traversal support again, many thanks to Andreas Steffen for
    doing the work of forward-porting it.
  * Remove the notify-delete patch, it is now included in the X.509 patch.
  * Adapt debian/rules to not install some doc files that are now missing
    with the new patch versions.
  * Additional debian/rules cleanup to remove cosmetical error messages during
    package build.
  * Fix a few lintian warnings - many thanks to Martin Koeppe for pointing
    them out.
  * Really work on the automatic editing of ipsec.secrets now - this version
    ships a better default config that makes checking for previous key a lot
    easier. Updating from a previous default config should work.
    Closes: #199990: freeswan - key presence check broken
    Closes: #199993: freeswan - postinst cert insertion check broken
  * debian/po/POTFILES.in now lists the master file.
    Closes: #231226: freeswan: Broken woody backward compatibility mechanism 
            for debconf templates translation
  * Updated the Japanese debconf translation.
    Closes: #231227: freeswan: Japanese translation of templates broken
  * Updated the French debconf translation.
    Closes: #235267: freeswan: [INTL:fr] French debconf templates translation
    Closes: #232068: freeswan: [INTL:fr] French debconf templates translation
  * Fixed the last debconf template, thanks for the patch.
    Closes: #231295: freeswan: Templates corrections
  * Explicitly use bash in mkx509cert.sh, it seems to be broken with dash.
    Closes: #232583: postinst fails to create certificate with posix bourne 
            shell
  * Now build pluto with support for LDAP CRL fetching, CRL or OCSP fetching
    via cURL and secret keys on smart cards via opensc. This means that there
    are 3 more build dependencies and that the freeswan package depends on 3
    more library packages. Since they are less than 2MB in whole, I though
    that should be ok.
    Closes: #231825: please build with opensc support
  * Ship the fswcert tool now again, this time under /usr/bin. It is very 
    useful to connect to a non-X.509 capable freeswan box on the other side,
    because the RSA public key needed by the other side can be easily 
    extracted with fswcert from the own PEM certificate.
  * Add the /etc/ipsec.d/ocspcerts and /etc/ipsec.d/policies directories.
  * Be sure that a valid country code is entered for the X.509 certificate -
    openssl will not create one without it:
    - Added a default value (AT at the moment, if somebody has a "better"
      default for Debian, mail me).
    - Don't allow an empty field in the config script.
    Closes: #217796: broken with debconf noninteractive

 -- Rene Mayrhofer <rene@mayrhofer.eu.org>  Thu,  4 Mar 2004 20:01:41 +0100

freeswan (2.04-7) unstable; urgency=medium

  Urgency is medium because OE breaks connectivity on some systems.
  * Really disable Opportunistic Encryption now for all cases, also
    updates. This should solve the problem of 2 routes being erroneously
    created and effectively disconnecting the host from its default route.
    During installation, the user can select via debconf OE should be disabled,
    but disabling is the default and is strongly recommended in the wording.
    It should also work for existing config files.
    Closes: #230557: freeswan: Default installation kills network connection
    Closes: #225530: freeswan: adds "default route" on empty config

 -- Rene Mayrhofer <rene@mayrhofer.eu.org>  Tue,  3 Feb 2004 14:26:52 +0100

freeswan (2.04-6) unstable; urgency=low


