=== debian/control ===
Source: freeswan
Section: net
Priority: optional
Maintainer: Rene Mayrhofer <rmayr@debian.org>
Standards-Version: 3.6.0
Build-Depends: debhelper (>= 4.1.16)

Package: freeswan
Architecture: all
Depends: openswan (>= 1:2.2.0-8)
Description: IPSEC utilities transition package to Openswan
 FreeSWan is no longer maintained upstream and has been superseded by 
 Openswan. This is a transition package which depends on openswan. It may be
 safely removed when openswan has been installed.

Package: freeswan-modules-source
Architecture: all
Depends: openswan-modules-source (>= 1:2.2.0-8)
Description: IPSEC kernel modules transition package to Openswan
 FreeSWan is no longer maintained upstream and has been superseded by 
 Openswan. This is a transition package which depends on openswan. It may be
 safely removed when openswan-modules-source has been installed.

Package: kernel-patch-freeswan
Architecture: all
Depends: linux-patch-openswan | kernel-patch-openswan (>= 1:2.2.0-8)
Description: IPSEC kernel support transition package to Openswan
 FreeSWan is no longer maintained upstream and has been superseded by 
 Openswan. This is a transition package which depends on openswan. It may be
 safely removed when linux-patch-openswan or kernel-patch-openswan has been 
 installed.
